> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Treasury Holdings Eth

> Retrieve the 'treasury-holdings-eth' metric for supported projects.



## OpenAPI

````yaml /openapi.json get /v1/metrics/treasury-holdings-eth
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/metrics/treasury-holdings-eth:
    get:
      summary: Treasury Holdings Eth
      description: Retrieve the 'treasury-holdings-eth' metric for supported projects.
      operationId: MetricController_getResults_v1_treasury_holdings_eth
      parameters:
        - name: project
          in: query
          required: true
          description: Project slug (comma-separated for multiple).
          schema:
            type: string
            enum:
              - BMNR
              - BTBT
              - BTCS
              - ETHM
              - ETHZ
              - FGNX
              - GAME
              - SBET
            example: BMNR
          examples:
            BMNR:
              value: BMNR
              summary: BMNR
            BTBT:
              value: BTBT
              summary: BTBT
            BTCS:
              value: BTCS
              summary: BTCS
            ETHM:
              value: ETHM
              summary: ETHM
            ETHZ:
              value: ETHZ
              summary: ETHZ
            FGNX:
              value: FGNX
              summary: FGNX
            GAME:
              value: GAME
              summary: GAME
            SBET:
              value: SBET
              summary: SBET
            multi:
              value: BMNR,BTBT
              summary: BMNR + BTBT
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: Start date (YYYY-MM-DD)
        - name: end_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: End date (YYYY-MM-DD)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
              example:
                projectName:
                  - date: '2025-08-10'
                    value: 123456.789
                  - date: '2025-08-11'
                    value: 234567.89
                  - date: '2025-08-12'
                    value: 345678.901
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````